Bug 166895 - Acer 1705SMi and 5002 notebooks not detecting battery
Acer 1705SMi and 5002 notebooks not detecting battery
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
4
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
http://fedoraforum.org/forum/showthre...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-08-26 18:03 EDT by John Mahowald
Modified: 2015-01-04 17:21 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-04 21:28:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description John Mahowald 2005-08-26 18:03:16 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.10) Gecko/20050720 Fedora/1.0.6-1.1.fc4 Firefox/1.0.6

Description of problem:
I get reports of an Acer 1705SMi and 5002 notebook not detecting battery. When uplugged they power off, and cannot boot. I suspect either ACPI or the BIOS.

Version-Release number of selected component (if applicable):


How reproducible:
Didn't try

Steps to Reproduce:
No battery detected in Gnome tray icon

Additional info:

Reporting on behalf of a FedoraForum thread: http://fedoraforum.org/forum/showthread.php?t=66685
Comment 1 Dave Jones 2005-08-26 18:44:37 EDT
Can you try the latest errata kernel from updates-testing please ? That has an
ACPI update which could fix this.
Comment 2 Dave Jones 2005-09-30 02:23:02 EDT
Mass update to all FC4 bugs:

An update has been released (2.6.13-1.1526_FC4) which rebases to a new upstream
kernel (2.6.13.2). As there were ~3500 changes upstream between this and the
previous kernel, it's possible your bug has been fixed already.

Please retest with this update, and update this bug if necessary.

Thanks.
Comment 3 Dave Jones 2005-11-10 14:22:24 EST
2.6.14-1.1637_FC4 has been released as an update for FC4.
Please retest with this update, as a large amount of code has been changed in
this release, which may have fixed your problem.

Thank you.
Comment 4 Len Brown 2006-01-18 00:31:54 EST
The switch between power and battery is done in hardware/firmware
and is invisible to the OS.  This failure is a system issue, not an OS issue.
I expect you'll see the same issue running a non-Linux OS on this box.
Comment 5 Dave Jones 2006-02-03 00:26:37 EST
This is a mass-update to all currently open kernel bugs.

A new kernel update has been released (Version: 2.6.15-1.1830_FC4)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO_REPORTER state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

Thank you.
Comment 6 John Thacker 2006-05-04 21:28:23 EDT
Closing per previous comment.

Note You need to log in before you can comment on or make changes to this bug.